#include <iostream>
#include <stdlib.h>
#include <math.h>
using namespace std;

long pomocni(long *a, long p, long k){
    long pivot = a[k];
    long i, t, pi=p;
    for(i=p; i<k; i++){
        if(a[i]<=pivot){
            t=a[i];
            a[i]=a[pi];
            a[pi]=t;
            pi++;
        }
    }
    t=a[k];
    a[k]=a[pi];
    a[pi]=t;
    return pi;
}

void qsort(long *a, long p, long k){
    if(p<k){
        long pi=pomocni(a, p, k);
        qsort(a, p, pi-1);
        qsort(a, pi+1, k);
    }
}

int main() {
    long n, x, t, i, d;
    cin >> n  >> x;
    long a[n];
    for(i=0;i<n;i++){
        cin >> a[i];
    }
    qsort(a, 0, n-1);
    d=a[n-1]-a[0];
    t=abs(a[n-1]-x);
    if(abs(a[0]-x)<t){
        t=abs(a[0]-x);
    }
    d+=t;
    cout << d;
    return 0;
}